#include "stdafx.h"
#include <stdlib.h>

#include "system.h"
#include "smartcard.h"

void InitAll(const char *cfgdir)
{
	filemaps.SetCfgDir(cfgdir);
//	smartcards.AddPort(DEFAULT_PORT);
//	smartcards.LaunchWatcher();
	ecmcache.Load();
	if(!keys.Load(cfgdir)) printf("ERROR: no keys loaded for softcam!\n");
	if(!cSystems::Init(cfgdir)) exit(2);
}